#region Copyright Syncfusion Inc. 2001 - 2015
// Copyright Syncfusion Inc. 2001 - 2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.Shared;
using System.Collections;
using Syncfusion.Windows.Chart;
using Syncfusion.Windows.SampleLayout;

namespace PieChart
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : SampleLayoutWindow
    {
        #region Initialization
        /// <summary>
        /// Contrcutor for window1.
        /// </summary>
        public Window1()
        {
            InitializeComponent();

            ChartAdornmentInfo adornment = new ChartAdornmentInfo();
            adornment.LabelContentPath = "DataPoint.Tag";
            adornment.Visible = true;
            adornment.SegmentShowLine = false;
            DataTemplate template = new DataTemplate();
            FrameworkElementFactory element = new FrameworkElementFactory(typeof(TextBlock));
            element.SetValue(TextBlock.HorizontalAlignmentProperty, HorizontalAlignment.Center);
            element.SetValue(TextBlock.VerticalAlignmentProperty, VerticalAlignment.Center);
            Binding binding = new Binding();
            binding.Converter = new Labelconvertor();
            element.SetBinding(TextBlock.TextProperty, binding);
            template.VisualTree = element;
            adornment.LabelTemplate = template;
            Series1.AdornmentsInfo = adornment;
        }
        #endregion
        
       
    }
    
}
